petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatSolve

Solves A x = b, given a factored matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatSolve(Mat mat,Vec b,Vec x)

Neighbor-wise Collective on Mat and Vec

### Input Parameters

| mat | - the factored matrix
| b | - the right-hand-side vector

### Output Parameter

x -the result vector

### Notes

The vectors b and x cannot be the same. I.e., one cannot call MatSolve(A,x,x).

### Notes

Most users should employ the simplified KSP interface for linear solvers instead of working directly with matrix algebra routines such as this. See, e.g., KSPCreate().

### See Also

MatSolveAdd(), MatSolveTranspose(), MatSolveTransposeAdd()

Level:developer
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages